Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JDKX509CertificateFactory

    java.lang.Object
      |
      +--java.security.cert.CertificateFactorySpi
            |
            +--org.bouncycastle.jce.cert.CertificateFactorySpi
                  |
                  +--org.bouncycastle.jce.provider.JDKX509CertificateFactory

public class JDKX509CertificateFactory
extends CertificateFactorySpi

class for dealing with X509 certificates.

At the moment this will deal with "-----BEGIN CERTIFICATE-----" to "-----END CERTIFICATE-----" base 64 encoded certs, as well as the BER binaries of certificates and some classes of PKCS#7 objects.

Constructor Summary
`JDKX509CertificateFactory()`

Method Summary
`java.security.cert.Certificate` | `engineGenerateCertificate(java.io.InputStream in)` Generates a certificate object and initializes it with the data read from the input stream inStream.
`java.util.Collection` | `engineGenerateCertificates(java.io.InputStream inStream)` Returns a (possibly empty) collection view of the certificates read from the given input stream inStream.
`CertPath` | `engineGenerateCertPath(java.io.InputStream inStream)` Generates a `CertPath` object and initializes it with the data read from the `InputStream` inStream.
`CertPath` | `engineGenerateCertPath(java.io.InputStream inStream, java.lang.String encoding)` Generates a `CertPath` object and initializes it with the data read from the `InputStream` inStream.
`CertPath` | `engineGenerateCertPath(java.util.List certificates)` Generates a `CertPath` object and initializes it with a `List` of `Certificate`s. The certificates supplied must be of a type supported by the `CertificateFactory`.
`java.security.cert.CRL` | `engineGenerateCRL(java.io.InputStream inStream)` Generates a certificate revocation list (CRL) object and initializes it with the data read from the input stream inStream.
`java.util.Collection` | `engineGenerateCRLs(java.io.InputStream inStream)` Returns a (possibly empty) collection view of the CRLs read from the given input stream inStream.
`java.util.Iterator` | `engineGetCertPathEncodings()` Returns an iteration of the `CertPath` encodings supported by this certificate factory, with the default encoding first.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDKX509CertificateFactory

    public JDKX509CertificateFactory()

Method Detail

### engineGenerateCertificate

    public java.security.cert.Certificate engineGenerateCertificate(java.io.InputStream in)
                                                             throws java.security.cert.CertificateException

  Generates a certificate object and initializes it with the data read from the input stream inStream.
  Overrides:
    `engineGenerateCertificate` in class `java.security.cert.CertificateFactorySpi`

### engineGenerateCertificates

    public java.util.Collection engineGenerateCertificates(java.io.InputStream inStream)
                                                    throws java.security.cert.CertificateException

  Returns a (possibly empty) collection view of the certificates read from the given input stream inStream.
  Overrides:
    `engineGenerateCertificates` in class `java.security.cert.CertificateFactorySpi`

### engineGenerateCRL

    public java.security.cert.CRL engineGenerateCRL(java.io.InputStream inStream)
                                             throws java.security.cert.CRLException

  Generates a certificate revocation list (CRL) object and initializes it with the data read from the input stream inStream.
  Overrides:
    `engineGenerateCRL` in class `java.security.cert.CertificateFactorySpi`

### engineGenerateCRLs

    public java.util.Collection engineGenerateCRLs(java.io.InputStream inStream)
                                            throws java.security.cert.CRLException

  Returns a (possibly empty) collection view of the CRLs read from the given input stream inStream. The inStream may contain a sequence of DER-encoded CRLs, or a PKCS#7 CRL set. This is a PKCS#7 SignedData object, with the only signficant field being crls. In particular the signature and the contents are ignored.
  Overrides:
    `engineGenerateCRLs` in class `java.security.cert.CertificateFactorySpi`

### engineGetCertPathEncodings

    public java.util.Iterator engineGetCertPathEncodings()

  Description copied from class: `CertificateFactorySpi`
  Returns an iteration of the `CertPath` encodings supported by this certificate factory, with the default encoding first. See Appendix A in the Java Certification Path API Programmer's Guide for information about standard encoding names.
  Attempts to modify the returned `Iterator` via its `remove` method result in an `UnsupportedOperationException`.
  This method was added to version 1.4 of the Java 2 Platform Standard Edition. In order to maintain backwards compatibility with existing service providers, this method cannot be `abstract` and by default throws an `UnsupportedOperationException`.
  Overrides:
    `engineGetCertPathEncodings` in class `CertificateFactorySpi`
  Following copied from class: `org.bouncycastle.jce.cert.CertificateFactorySpi`
  Returns:
    an `Iterator` over the names of the supported `CertPath` encodings (as `String`s)
  Throws:
    `UnsupportedOperationException` - if the method is not supported

### engineGenerateCertPath

    public CertPath engineGenerateCertPath(java.io.InputStream inStream)
                                    throws java.security.cert.CertificateException

  Description copied from class: `CertificateFactorySpi`
  Generates a `CertPath` object and initializes it with the data read from the `InputStream` inStream. The data is assumed to be in the default encoding.
  Overrides:
    `engineGenerateCertPath` in class `CertificateFactorySpi`
  Following copied from class: `org.bouncycastle.jce.cert.CertificateFactorySpi`
  Parameters:
    `inStream` - an `InputStream` containing the data
  Returns:
    a `CertPath` initialized with the data from the `InputStream`
  Throws:
    `java.security.cert.CertificateException` - if an exception occurs while decoding

### engineGenerateCertPath

    public CertPath engineGenerateCertPath(java.io.InputStream inStream,
                                           java.lang.String encoding)
                                    throws java.security.cert.CertificateException

  Description copied from class: `CertificateFactorySpi`
  Generates a `CertPath` object and initializes it with the data read from the `InputStream` inStream. The data is assumed to be in the specified encoding.
  This method was added to version 1.4 of the Java 2 Platform Standard Edition. In order to maintain backwards compatibility with existing service providers, this method cannot be `abstract` and by default throws an `UnsupportedOperationException`.
  Overrides:
    `engineGenerateCertPath` in class `CertificateFactorySpi`
  Following copied from class: `org.bouncycastle.jce.cert.CertificateFactorySpi`
  Parameters:
    `inStream` - an `InputStream` containing the data
    `encoding` - the encoding used for the data
  Returns:
    a `CertPath` initialized with the data from the `InputStream`
  Throws:
    `java.security.cert.CertificateException` - if an exception occurs while decoding or the encoding requested is not supported
    `UnsupportedOperationException` - if the method is not supported

### engineGenerateCertPath

    public CertPath engineGenerateCertPath(java.util.List certificates)
                                    throws java.security.cert.CertificateException

  Description copied from class: `CertificateFactorySpi`
  Generates a `CertPath` object and initializes it with a `List` of `Certificate`s.
  The certificates supplied must be of a type supported by the `CertificateFactory`. They will be copied out of the supplied `List` object.
  This method was added to version 1.4 of the Java 2 Platform Standard Edition. In order to maintain backwards compatibility with existing service providers, this method cannot be `abstract` and by default throws an `UnsupportedOperationException`.
  Overrides:
    `engineGenerateCertPath` in class `CertificateFactorySpi`
  Following copied from class: `org.bouncycastle.jce.cert.CertificateFactorySpi`
  Parameters:
    `certificates` - a `List` of `Certificate`s
  Returns:
    a `CertPath` initialized with the supplied list of certificates
  Throws:
    `java.security.cert.CertificateException` - if an exception occurs
    `UnsupportedOperationException` - if the method is not supported

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD